// http://akelpad.sourceforge.net/forum/viewtopic.php?p=5464#5464
// Version: 1.1
// Author: Shengalts Aleksander aka Instructor
//
//
// Description(1033): Delete last character from the selected lines.
// Description(1049): Удалить последний символ у выделенных строк.

var pSelText;
var pLinesArray;
var nIndex;

if (pSelText=AkelPad.GetSelText())
{
  if (pLinesArray=pSelText.split("\r"))
  {
    for (nIndex=0; nIndex < pLinesArray.length; ++nIndex)
      pLinesArray[nIndex]=pLinesArray[nIndex].substr(0, pLinesArray[nIndex].length - 1);
    pSelText=pLinesArray.join("\r");

    AkelPad.ReplaceSel(pSelText, -2);
  }
}
